Package Gnumed :: Package business :: Module gmOrganization |
[frames] | no frames]

# Module gmOrganization

source code

Organization classes

author: Karsten Hilbert et al

License: GPL

Classes
| cOrg
| cOrgUnit

Functions
org_exists(organization=None, category=None) | source code
create_org(organization=None, category=None) | source code
delete_org(organization=None) | source code
get_orgs(order_by=None) | source code
create_org_unit(pk_organization=None, unit=None) | source code
delete_org_unit(unit=None) | source code
get_org_units(order_by=None, org=None) | source code
get_comm_channels_data_for_org_ids(idList) gets comm_channels for a list of org_id. | source code
get_address_data_for_org_ids(idList) gets addresses for a list of valid id values for orgs. | source code
get_org_data_for_org_ids(idList) for a given list of org id values , returns a map of id_org vs. | source code
setPostcodeWidgetFromUrbId(postcodeWidget, id_urb) convenience method for urb and postcode phrasewheel interaction. | source code
setUrbPhraseWheelFromPostcode(pwheel, postcode) convenience method for common postcode to urb phrasewheel collaboration. | source code

Variables
| __package__ = ``'``Gnumed.business``'``

Imports: sys, logging, gmPG2, gmBusinessDBObject, gmDemographicRecord

Function Details

### get_comm_channels_data_for_org_ids(idList) | source code
gets comm_channels for a list of org_id. returns a map keyed by org_id with lists of comm_channel data (url, type). this allows a single fetch of comm_channel data for multiple orgs

### get_address_data_for_org_ids(idList) | source code
gets addresses for a list of valid id values for orgs. returns a map keyed by org_id with the address data

### get_org_data_for_org_ids(idList) | source code
for a given list of org id values , returns a map of id_org vs. org attributes: description, id_category

### setPostcodeWidgetFromUrbId(postcodeWidget, id_urb) | source code
convenience method for urb and postcode phrasewheel interaction. never called without both arguments, but need to check that id_urb is not invalid

### setUrbPhraseWheelFromPostcode(pwheel, postcode) | source code
convenience method for common postcode to urb phrasewheel collaboration. there is no default args for these utility functions, This function is never called without both arguments, otherwise there is no intention (= modify the urb phrasewheel with postcode value).